tests: More robust daemon killing

Let's ensure that we *try* to kill everything, and make the test suite a
bit more robust by failing if any of our attempts fail.

For some reason "netopeer2-server" does not match, so let's use just
"netopeer2". I suspect this is the reason why the previous version used
"netopeer2-serve" without the trailing "r". This should really have been
documented.

Change-Id: Ia9b72347a47906f90761e33bfc9a63e04ec5d7da
diff --git a/start_daemons.sh.in b/start_daemons.sh.in
index dc041eb..26fb497 100755
--- a/start_daemons.sh.in
+++ b/start_daemons.sh.in
@@ -2,6 +2,9 @@
 shopt -s failglob
 export ASAN_OPTIONS=verify_asan_link_order=false
 export UBSAN_OPTIONS=halt_on_error=1
+
+./kill_daemons.sh || true
+
 @SYSREPOD_EXECUTABLE@ -l3
 sleep 1
 @SYSREPO_PLUGIND_EXECUTABLE@ -l3